Subject: Re: bug#56974: 29.0.50; Missing documentation for former subr-x macros

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Aug 2022 14:51:26 +0200

Michael Heerdegen <[email-masked]> writes:

> Personally I don't care that much, both names are equally good (or bad).
> I would make them synonymous.  Although when-let and and-let are already
> synonymous names...

There may be code problems in making when-let* and when-let synonymous
(for those that are using the outdated forms), so that's not easy to do.
But since we shouldn't document the differences, they're identical in
that way.